Index: WAeUP_SRP/trunk/profiles/default/actions.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 1784)
+++ WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 1785)
@@ -68,5 +68,5 @@
   <action title="Home" action_id="home" category="navigation"
      condition_expr="member" url_expr="string:${portal_url}/campus"
-     visible="False">
+     visible="True">
    <permission>View</permission>
   </action>
Index: WAeUP_SRP/trunk/skins/waeup_default/campus_anonymous_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/campus_anonymous_view.pt	(revision 1784)
+++ WAeUP_SRP/trunk/skins/waeup_default/campus_anonymous_view.pt	(revision 1785)
@@ -5,13 +5,4 @@
           <br />Student Registration Portal of the University of Benin, Nigeria</h2>
         <br />
-        <p>This is the frontpage of Uniben's Student Registration Portal (SRP) which is part of the West African e-University Project. 
-          For further information see 
-          <a href="" tal:attributes="href string:http://waeup.org">waeup.org</a>.</p>
-        <p><strong>Fresh Students</strong>, who register for the first time, proceed to the respective application 
-          entrance page (UME, DE or Local Programmes). Later they can login to check their admission status and to
-        proceed with the admission and clearance process.</p>
-        <p><strong>Returning Students</strong> can login to check the course results of the previous session, 
-        to register courses for the current session, to pay their school fees and to book accommodation.</p>
-        <p>This site is best seen in Firefox browser.</p>
     </metal:main>
   </metal:body>
Index: WAeUP_SRP/trunk/skins/waeup_default/campus_index.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/campus_index.py	(revision 1784)
+++ WAeUP_SRP/trunk/skins/waeup_default/campus_index.py	(revision 1785)
@@ -10,5 +10,5 @@
 # $Id$
 """
-return the correct campus_index_html
+return the correct campus_index
 """
 
Index: WAeUP_SRP/trunk/skins/waeup_default/campus_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/campus_view.pt	(revision 1784)
+++ WAeUP_SRP/trunk/skins/waeup_default/campus_view.pt	(revision 1785)
@@ -5,13 +5,4 @@
           <br />Student Registration Portal of the University of Benin, Nigeria</h2>
         <br />
-        <p>This is the frontpage of Uniben's Student Registration Portal (SRP) which is part of the West African e-University Project. 
-          For further information see 
-          <a href="" tal:attributes="href string:http://waeup.org">waeup.org</a>.</p>
-        <p><strong>Fresh Students</strong>, who register for the first time, proceed to the respective application 
-          entrance page (UME, DE or Local Programmes). Later they can login to check their admission status and to
-        proceed with the admission and clearance process.</p>
-        <p><strong>Returning Students</strong> can login to check the course results of the previous session, 
-        to register courses for the current session, to pay their school fees and to book accommodation.</p>
-        <p>This site is best seen in Firefox browser.</p>
     </metal:main>
   </metal:body>
Index: WAeUP_SRP/trunk/skins/waeup_default/create_common.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/create_common.py	(revision 1784)
+++ 	(revision )
@@ -1,47 +1,0 @@
-##parameters=REQUEST=None
-# $Id$
-"""
-Create a Faculty
-
-"""
-type_name = REQUEST.get('type_name')
-
-ti = context.portal_types[type_name]
-pr = context.portal_registration
-pm = context.portal_membership
-
-validate = REQUEST.has_key("cpsdocument_create_button")
-
-lt = context.portal_layouts
-
-res,psm,ds = lt.renderLayout(layout_id= type_name.lower(),
-                      schema_id= type_name.lower(),
-                      context=context,
-                      mapping=validate and REQUEST,
-                      ob={},
-                      layout_mode='create',
-                      )
-if psm == 'invalid':
-    return context.common_edit_form(rendered = res,
-                                 create = 1,
-                                 type_name = type_name,
-                                 psm = 'Please correct your errors!',
-                                 )
-elif psm == '':
-    return context.common_edit_form(rendered = res,
-                                 create = 1,
-                                 type_name = type_name,
-                                 psm = psm,
-                                 )
-
-elif psm == 'valid':
-    oid = "%s" % ds.get('Title').replace(' ','')
-    context.invokeFactory(type_name,oid)
-    object = getattr(context,oid)
-    object.getContent().edit(mapping=ds)
-    context.notifyCPSDocumentCreation(ob=object)
-    psm = 'new %s created!' % oid
-    context_ti = context.portal_types[context.portal_type]
-    index = context_ti.getActionById('view','university_view')
-    return getattr(context,index)(psm=psm)
-
Index: WAeUP_SRP/trunk/skins/waeup_default/create_common.py_not_uses
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/create_common.py_not_uses	(revision 1785)
+++ WAeUP_SRP/trunk/skins/waeup_default/create_common.py_not_uses	(revision 1785)
@@ -0,0 +1,47 @@
+##parameters=REQUEST=None
+# $Id: create_common.py 892 2006-11-18 21:14:18Z henrik $
+"""
+Create a Faculty
+
+"""
+type_name = REQUEST.get('type_name')
+
+ti = context.portal_types[type_name]
+pr = context.portal_registration
+pm = context.portal_membership
+
+validate = REQUEST.has_key("cpsdocument_create_button")
+
+lt = context.portal_layouts
+
+res,psm,ds = lt.renderLayout(layout_id= type_name.lower(),
+                      schema_id= type_name.lower(),
+                      context=context,
+                      mapping=validate and REQUEST,
+                      ob={},
+                      layout_mode='create',
+                      )
+if psm == 'invalid':
+    return context.common_edit_form(rendered = res,
+                                 create = 1,
+                                 type_name = type_name,
+                                 psm = 'Please correct your errors!',
+                                 )
+elif psm == '':
+    return context.common_edit_form(rendered = res,
+                                 create = 1,
+                                 type_name = type_name,
+                                 psm = psm,
+                                 )
+
+elif psm == 'valid':
+    oid = "%s" % ds.get('Title').replace(' ','')
+    context.invokeFactory(type_name,oid)
+    object = getattr(context,oid)
+    object.getContent().edit(mapping=ds)
+    context.notifyCPSDocumentCreation(ob=object)
+    psm = 'new %s created!' % oid
+    context_ti = context.portal_types[context.portal_type]
+    index = context_ti.getActionById('view','university_view')
+    return getattr(context,index)(psm=psm)
+
Index: WAeUP_SRP/trunk/skins/waeup_default/create_common_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/create_common_form.pt	(revision 1784)
+++ 	(revision )
@@ -1,22 +1,0 @@
-<tal:block define="rendered_main options/rendered;
-                   portal_status_message options/psm;"
-                   >
-<metal:block define-macro="edit_form">
-<metal:block use-macro="here/content_lib_master/macros/master">
-  <metal:block fill-slot="header"
-    tal:define="creation creation|nothing;
-                edition python:1;
-                metadata metadata|nothing"
-                >
-    </metal:block>
-
-    <metal:block fill-slot="main">
-      <h1>Enter the Data for a <span tal:content="options/type_name" /> </h1>
-      <div tal:replace="structure rendered_main" />
-    </metal:block>
-  <metal:block fill-slot="sub">
-  </metal:block>
-
-</metal:block>
-</metal:block>
-</tal:block>
Index: WAeUP_SRP/trunk/skins/waeup_default/create_common_form.pt_not_used
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/create_common_form.pt_not_used	(revision 1785)
+++ WAeUP_SRP/trunk/skins/waeup_default/create_common_form.pt_not_used	(revision 1785)
@@ -0,0 +1,16 @@
+<tal:block define="rendered_main options/rendered;
+                   portal_status_message options/psm;"
+                   >
+<metal:block define-macro="edit_form">
+<metal:block use-macro="here/main_template/macros/master">
+  <metal:block fill-slot="header"/>
+  <metal:block fill-slot="main">
+      <h3>Enter the Data for a <span tal:content="options/type_name" /> </h1>
+      <div tal:replace="structure rendered_main" />
+  </metal:block>
+  <metal:block fill-slot="sub">
+  </metal:block>
+
+</metal:block>
+</metal:block>
+</tal:block>
Index: WAeUP_SRP/trunk/skins/waeup_default/index_html.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/index_html.py	(revision 1784)
+++ 	(revision )
@@ -1,25 +1,0 @@
-## Script (Python) "index_html"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=batch=None
-##title=
-##
-# $Id$
-"""
-return the correct index_html
-"""
-
-request = context.REQUEST
-redirect = request.RESPONSE.redirect
-pm = context.portal_membership
-
-if pm.isAnonymousUser():
-    return redirect("%s/srp_anonymous_view" % request.get('URL1'))
-elif context.isStudent():
-    return redirect("%s/srp_anonymous_view" % context.absolute_url())
-else:
-	return redirect("%s/srp_view" % context.absolute_url())
-
Index: WAeUP_SRP/trunk/skins/waeup_default/layout_waeup_lib.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/layout_waeup_lib.pt	(revision 1784)
+++ WAeUP_SRP/trunk/skins/waeup_default/layout_waeup_lib.pt	(revision 1785)
@@ -2,27 +2,4 @@
 <!-- $Id$ -->
 
-<!-- div_view  -->
-
-<metal:block define-macro="div_view"
-             tal:define="layout options/layout">
-  <tal:block repeat="row layout/rows">
-    <tal:block repeat="cell row">
-      <tal:block define="widget cell/widget">
-        <div tal:define="dm options/datastructure/getDataModel;"
-             tal:attributes="class cell/widget_css_class|nothing;
-             id python:widget.getHtmlWidgetId()+'_widget';"
-             >
-          <tal:block condition="widget/label">
-            <span class="dlabel" i18n:translate="" tal:condition="widget/is_i18n"
-                  tal:content="widget/label">label</span>
-            <span class="dlabel" tal:condition="not:widget/is_i18n"
-                  tal:content="widget/label">label</span>
-          </tal:block>
-          <tal:block replace="structure cell/widget_rendered" />
-        </div>
-      </tal:block>
-    </tal:block>
-  </tal:block>
-</metal:block>
 
 <!-- table view -->
@@ -65,309 +42,4 @@
 </metal:block>
 
-<!-- default edit  -->
 
-<metal:block define-macro="default_edit"
-  tal:define="layout options/layout;
-              ds options/datastructure;
-              creation creation|nothing;
-              metadata metadata|nothing;
-              type_name request/type_name|nothing;
-              ti python:type_name and getattr(here.portal_types,type_name,None) or getattr(here.portal_types,here.portal_type,None);
-              creation_form python:ti and ti.getActionById('create', 'cpsdocument_create_form') or 'cpsdocument_create_form' ;
-              edit_form     python:ti and ti.getActionById('edit',   'cpsdocument_edit_form') or  'cpsdocument_edit_form';
-              metadata_form python:ti and ti.getActionById('metadata', 'cpsdocument_metadata') or 'cpsdocument_metadata';
-              formaction python: test(creation, creation_form,
-                                 test(metadata, metadata_form,
-                                                edit_form));
-              first_layout options/first_layout|python:0;
-              last_layout options/last_layout|python:0;
-              is_flexible options/is_flexible;
-              cpsmcat nocall:here/translation_service;
-              ">
-<tal:block condition="first_layout">
-  <tal:block
-  content="structure string:<form action='${formaction}' method='post'
-  enctype='multipart/form-data' class='workflow'>
-  <div class=''><div class=''>" />
-  <input type="hidden" name="type_name" value="."
-    tal:condition="creation" tal:attributes="value request/type_name" />
-</tal:block>
-
-<table width="100%" cellpadding="2" cellspacing="2" summary="Form layout">
-  <tr tal:repeat="row layout/rows" valign="top">
-    <td tal:repeat="cell row"
-      tal:attributes="colspan cell/ncols">
-      <tal:block define="widget cell/widget;
-                         wid widget/getWidgetId;
-                         dm options/datastructure/getDataModel;
-                         err python:ds.getError(wid);
-                         err_mapping python:ds.getErrorMapping(wid);
-                         is_required widget/is_required|nothing;
-                         tooltip_id python:wid + '_help';
-                         widget_css_class cell/widget_css_class|nothing;
-                         widget_css_class python:test(is_flexible, 'group', widget_css_class);
-                         css_class python:test(err, 'row error',
-                                               test(is_flexible, 'group', 'row'))">
-        <div tal:attributes="class widget_css_class;
-                             id python:widget.getHtmlWidgetId()+'_widget';
-                            ">
-          <div class="label" tal:condition="widget/label_edit"
-            tal:attributes="class python:test(is_required, 'label required',
-                                              'label')">
-            <label i18n:translate="" tal:condition="widget/is_i18n"
-              tal:content="widget/label_edit"
-              tal:attributes="for cell/widget_input_area_id|nothing;">label</label>
-            <label tal:condition="not:widget/is_i18n"
-              tal:content="widget/label_edit"
-              tal:attributes="for cell/widget_input_area_id|nothing;">label</label>
-          </div>
-          <button type="button" class="tooltipControl"
-                  tal:condition="widget/help"
-                  tal:attributes="onclick python:'toggleElementVisibility(\'%s\')' % tooltip_id;"> ? </button>
-          <div class="field">
-            <div tal:replace="structure cell/widget_rendered"/>
-          </div>
-          <div class="tooltipArea" style="visibility: hidden;"
-               tal:condition="widget/help"
-               tal:attributes="id tooltip_id;
-                               onclick python:'showElement(false, \'%s\')' % tooltip_id;">
-            <tal:block i18n:translate="" tal:condition="widget/is_i18n"
-              tal:content="widget/help">i18_key-help_for_this_field</tal:block>
-            <tal:block tal:condition="not:widget/is_i18n"
-              tal:content="widget/help">This is the help for this field</tal:block>
-          </div>
-          <tal:block condition="err">
-              <tal:block define="msg python:cpsmcat(err, mapping=err_mapping)">
-                <br /><em style="color: red"
-                  tal:content="msg">err</em>
-              </tal:block>
-          </tal:block>
-          <div style="float: right;" tal:condition="is_flexible">
-            <input type="submit" value="button_move_up"
-              tal:condition="not:repeat/row/start"
-              tal:attributes="name string:uprow_${repeat/row/index}"
-              class="context moveUp" i18n:attributes="value" />
-            <input type="submit" value="button_move_down"
-              tal:condition="not:repeat/row/end"
-              tal:attributes="name string:downrow_${repeat/row/index}"
-              class="context moveDown" i18n:attributes="value" />
-            <input type="submit" value="button_delete"
-              class="destructive" i18n:attributes="value"
-              tal:attributes="name string:deleterow_${repeat/row/index};
-                              onclick python:'return window.confirm(\'%s\')' %
-                                (cpsmcat('description_confirm_delete'), )" />
-          </div>
-        </div>
-      </tal:block>
-    </td>
-  </tr>
-</table>
-
-<tal:block condition="is_flexible">
-<div style="float: right;"
-    tal:define="flexible_widgets options/flexible_widgets">
-  <input type="hidden" name="layout_id" value="."
-    tal:attributes="value layout/layout_id" />
-  <tal:select condition="python:len(flexible_widgets)>1">
-    <select name="widget_type">
-      <tal:block repeat="widget options/flexible_widgets">
-      <option value="."
-        tal:condition="widget/is_i18n"
-        i18n:translate=""
-        tal:attributes="value widget/getWidgetId"
-        tal:content="widget/title_or_id">Type</option>
-      <option value="."
-        tal:condition="not:widget/is_i18n"
-        tal:attributes="value widget/getWidgetId"
-        tal:content="widget/title_or_id">Type</option>
-      </tal:block>
-    </select>
-    <input type="submit" name="addwidget_button" value="button_add"
-     class="context"
-     i18n:attributes="value" />
-  </tal:select>
-  <tal:button condition="python:len(flexible_widgets) == 1">
-    <tal:block define="widget python:flexible_widgets[0]">
-      <input type="hidden" name="widget_type"
-        tal:attributes="value widget/getWidgetId">
-      <input type="submit" name="addwidget_button"
-        tal:define="button_add python:cpsmcat('button_add');
-          widget_title python:cpsmcat(widget.title_or_id())"
-        tal:attributes="value string:${button_add} ${widget_title}"
-        class="context" />
-    </tal:block>
-  </tal:button>
-</div>
-</tal:block>
-
-<tal:block condition="last_layout">
-  <tal:block content="structure string:</div>" />
-  <metal:block define-slot="additional_content" />
-
-  <input type="submit" class="standalone" name="cpsdocument_edit_button"
-    value="button_change" i18n:attributes="value"
-    tal:condition="not:creation" />
-  <input type="submit" class="standalone" name="cpsdocument_create_button"
-    value="button_create" i18n:attributes="value" tal:condition="creation" />
-  <tal:block content="structure string:</div></form>" />
-</tal:block>
-
-</metal:block>
-<!-- default edit  -->
-
-<metal:block define-macro="common_edit"
-  tal:define="layout options/layout;
-              ds options/datastructure;
-              creation creation|nothing;
-              metadata metadata|nothing;
-              type_name request/type_name|nothing;
-              ti python:type_name and getattr(here.portal_types,type_name,None) or getattr(here.portal_types,here.portal_type,None);
-              tin python:type_name and getattr(here.portal_types,type_name,None);
-              creation_form options/create_action|string:create_common;
-              edit_form    options/edit_action|string:cpsdocument_edit_form;
-              metadata_form python:ti and ti.getActionById('metadata', 'cpsdocument_metadata') or 'cpsdocument_metadata';
-              formaction python: test(creation, creation_form,
-                                 test(metadata, metadata_form,
-                                                edit_form));
-              first_layout python:1;
-              last_layout python:1;
-              is_flexible options/is_flexible;
-              cpsmcat nocall:here/translation_service;
-              ">
-<tal:block condition="first_layout">
-    <span tal:condition="python: 0">
-      <span tal:content="request/type_name|string:No Typename" /><br />
-      <span tal:content="creation_form" /><br />
-      <span tal:content="ti" /><br />
-      <span tal:content="python:ti.getActionById('create', 'cpsdocument_create_form')" /><br />
-      <span tal:content="python:getattr(here.portal_types,type_name,'no type')" /><br />
-    </span>
-  <tal:block
-  content="structure string:<form action='${formaction}' method='post'
-  enctype='multipart/form-data' class='workflow'>
-  <div class=''><div class='documentFields'>" />
-  <input type="hidden" name="type_name" value="."
-    tal:condition="creation" tal:attributes="value request/type_name" />
-</tal:block>
-
-<table width="100%" cellpadding="2" cellspacing="2" summary="Form layout">
-  <tr tal:repeat="row layout/rows" valign="top">
-    <td tal:repeat="cell row"
-      tal:attributes="colspan cell/ncols">
-      <tal:block define="widget cell/widget;
-                         wid widget/getWidgetId;
-                         dm options/datastructure/getDataModel;
-                         err python:ds.getError(wid);
-                         err_mapping python:ds.getErrorMapping(wid);
-                         is_required widget/is_required|nothing;
-                         tooltip_id python:wid + '_help';
-                         widget_css_class cell/widget_css_class|nothing;
-                         widget_css_class python:test(is_flexible, 'group', widget_css_class);
-                         css_class python:test(err, 'row error',
-                                               test(is_flexible, 'group', 'row'))">
-        <div tal:attributes="class widget_css_class;
-                             id python:widget.getHtmlWidgetId()+'_widget';
-                            ">
-          <div class="label" tal:condition="widget/label_edit"
-            tal:attributes="class python:test(is_required, 'label required',
-                                              'label')">
-            <label i18n:translate="" tal:condition="widget/is_i18n"
-              tal:content="widget/label_edit"
-              tal:attributes="for cell/widget_input_area_id|nothing;">label</label>
-            <label tal:condition="not:widget/is_i18n"
-              tal:content="widget/label_edit"
-              tal:attributes="for cell/widget_input_area_id|nothing;">label</label>
-          </div>
-          <button type="button" class="tooltipControl"
-                  tal:condition="widget/help"
-                  tal:attributes="onclick python:'toggleElementVisibility(\'%s\')' % tooltip_id;"> ? </button>
-          <div class="field">
-            <div tal:replace="structure cell/widget_rendered"/>
-          </div>
-          <div class="tooltipArea" style="visibility: hidden;"
-               tal:condition="widget/help"
-               tal:attributes="id tooltip_id;
-                               onclick python:'showElement(false, \'%s\')' % tooltip_id;">
-            <tal:block i18n:translate="" tal:condition="widget/is_i18n"
-              tal:content="widget/help">i18_key-help_for_this_field</tal:block>
-            <tal:block tal:condition="not:widget/is_i18n"
-              tal:content="widget/help">This is the help for this field</tal:block>
-          </div>
-          <tal:block condition="err">
-              <tal:block define="msg python:cpsmcat(err, mapping=err_mapping)">
-                <br /><em style="color: red"
-                  tal:content="msg">err</em>
-              </tal:block>
-          </tal:block>
-          <div style="float: right;" tal:condition="is_flexible">
-            <input type="submit" value="button_move_up"
-              tal:condition="not:repeat/row/start"
-              tal:attributes="name string:uprow_${repeat/row/index}"
-              class="context moveUp" i18n:attributes="value" />
-            <input type="submit" value="button_move_down"
-              tal:condition="not:repeat/row/end"
-              tal:attributes="name string:downrow_${repeat/row/index}"
-              class="context moveDown" i18n:attributes="value" />
-            <input type="submit" value="button_delete"
-              class="destructive" i18n:attributes="value"
-              tal:attributes="name string:deleterow_${repeat/row/index};
-                              onclick python:'return window.confirm(\'%s\')' %
-                                (cpsmcat('description_confirm_delete'), )" />
-          </div>
-        </div>
-      </tal:block>
-    </td>
-  </tr>
-</table>
-
-<tal:block condition="is_flexible">
-<div style="float: right;"
-    tal:define="flexible_widgets options/flexible_widgets">
-  <input type="hidden" name="layout_id" value="."
-    tal:attributes="value layout/layout_id" />
-  <tal:select condition="python:len(flexible_widgets)>1">
-    <select name="widget_type">
-      <tal:block repeat="widget options/flexible_widgets">
-      <option value="."
-        tal:condition="widget/is_i18n"
-        i18n:translate=""
-        tal:attributes="value widget/getWidgetId"
-        tal:content="widget/title_or_id">Type</option>
-      <option value="."
-        tal:condition="not:widget/is_i18n"
-        tal:attributes="value widget/getWidgetId"
-        tal:content="widget/title_or_id">Type</option>
-      </tal:block>
-    </select>
-    <input type="submit" name="addwidget_button" value="button_add"
-     class="context"
-     i18n:attributes="value" />
-  </tal:select>
-  <tal:button condition="python:len(flexible_widgets) == 1">
-    <tal:block define="widget python:flexible_widgets[0]">
-      <input type="hidden" name="widget_type"
-        tal:attributes="value widget/getWidgetId">
-      <input type="submit" name="addwidget_button"
-        tal:define="button_add python:cpsmcat('button_add');
-          widget_title python:cpsmcat(widget.title_or_id())"
-        tal:attributes="value string:${button_add} ${widget_title}"
-        class="context" />
-    </tal:block>
-  </tal:button>
-</div>
-</tal:block>
-
-<tal:block condition="last_layout">
-  <tal:block content="structure string:</div>" />
-  <metal:block define-slot="additional_content" />
-
-  <input type="submit" class="standalone" name="cpsdocument_edit_button"
-    value="button_change" i18n:attributes="value"
-    tal:condition="not:creation" />
-  <input type="submit" class="standalone" name="cpsdocument_create_button"
-    value="button_create" i18n:attributes="value" tal:condition="creation" />
-  <tal:block content="structure string:</div></form>" />
-</tal:block>
-
-</metal:block>
     
Index: WAeUP_SRP/trunk/skins/waeup_default/srp_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/srp_view.pt	(revision 1784)
+++ WAeUP_SRP/trunk/skins/waeup_default/srp_view.pt	(revision 1785)
@@ -4,14 +4,4 @@
         <h2>Welcome to the     
           <br />Student Registration Portal of the University of Benin, Nigeria</h2>
-        <br />
-        <p>This is the frontpage of Uniben's Student Registration Portal (SRP) which is part of the West African e-University Project. 
-          For further information see 
-          <a href="" tal:attributes="href string:http://waeup.org">waeup.org</a>.</p>
-        <p><strong>Fresh Students</strong>, who register for the first time, proceed to the respective application 
-          entrance page (UME, DE or Local Programmes). Later they can login to check their admission status and to
-        proceed with the admission and clearance process.</p>
-        <p><strong>Returning Students</strong> can login to check the course results of the previous session, 
-        to register courses for the current session, to pay their school fees and to book accommodation.</p>
-        <p>This site is best seen in Firefox browser.</p>
     </metal:main>
   </metal:body>
Index: WAeUP_SRP/trunk/skins/waeup_design/common.css.dtml
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_design/common.css.dtml	(revision 1784)
+++ WAeUP_SRP/trunk/skins/waeup_design/common.css.dtml	(revision 1785)
@@ -87,3 +87,566 @@
   margin: 10px;
 }
+
+html, body {
+height:100%;
+}
+input, textarea, select, button {
+background-color:white;
+margin:0pt;
+}
+
+input, button {
+padding:3px;
+}
+
+.fileview {
+padding:3px;
+}
+.statusmessage {
+margin-bottom:9px;
+padding:3px;
+}
+input.SearchBox {
+background:white url(http://localhost:8080/cpsskins/cpsskins_images/search_icon.png) no-repeat scroll left center;
+border:1px inset #757575;
+padding:2px 2px 2px 20px;
+}
+div.searchField {
+background:transparent url(http://localhost:8080/cpsskins/cpsskins_images/portlet_search_icon.png) no-repeat scroll left center;
+padding:2px 2px 2px 20px;
+}
+.toggle_icon {
+clear:left;
+float:left;
+padding:2px 0pt 0pt 3px;
+}
+.missing_toggle {
+padding:0pt 0pt 0pt 13px;
+}
+.tree_node {
+padding:0pt 0pt 0pt 8px;
+}
+.tree_leaf {
+padding:0pt 0pt 0pt 22px;
+}
+.action_icon {
+clear:left;
+float:left;
+padding:0pt 6px 0pt 0pt;
+}
+.cpsskinsBox ul.cpsskinsMenu, .cpsskinsBox ul.cpsskinsMenu li {
+display:inline;
+line-height:normal;
+list-style-type:none;
+margin:0px;
+padding:0px;
+}
+.cpsskinsBox ul.cpsskinsMenu li a {
+background-position:left top;
+background-repeat:no-repeat;
+display:block;
+}
+.cpsskinsBox ul.cpsskinsMenu li a.noicon, .cpsskinsBox ul.cpsskinsMenu li.selected a.noicon {
+background-image:none !important;
+padding-left:2px !important;
+}
+.cpsskinsBox ul.cpsskinsMenu li a span.itemDescription {
+display:block;
+font-size:85%;
+}
+
+.cpsskinsTab ul.cpsskinsMenu, .cpsskinsTab ul.cpsskinsMenu li {
+display:inline;
+line-height:normal;
+list-style-type:none;
+margin:0px;
+padding:0px;
+}
+.cpsskinsTab ul.cpsskinsMenu li a {
+background-position:left center;
+background-repeat:no-repeat;
+display:inline;
+}
+.cpsskinsTab ul.cpsskinsMenu span.itemDescription {
+display:none;
+}
+.cpsskinsTab div.xmlExportButtons {
+display:none;
+}
+.cpsskinsBox .buttons {
+display:block;
+padding-bottom:1px;
+padding-right:1px;
+padding-top:1px;
+}
+.cpsskinsBox .buttons a {
+float:right;
+}
+.cpsskinsTabs {
+float:left;
+line-height:normal;
+text-align:left;
+width:100%;
+}
+.cpsskinsTabs ul {
+list-style-image:none;
+list-style-position:outside;
+list-style-type:none;
+margin:0pt;
+padding:0pt;
+}
+.cpsskinsTabs li {
+float:left;
+margin:0pt;
+padding:0pt;
+position:relative;
+}
+.cpsskinsTabs a {
+display:block;
+float:left;
+margin-left:0pt !important;
+text-decoration:none;
+}
+.cpsskinsTabs a {
+float:none;
+}
+.cpsskinsTabs ul.cpsskinsMenu span.itemDescription {
+display:none;
+}
+.cpsskinsTabs div.xmlExportButtons {
+display:none;
+}
+.cpsskinsTabs li ul {
+display:none;
+left:0pt;
+position:absolute;
+}
+.cpsskinsTabs li > ul {
+left:auto;
+top:auto;
+}
+.cpsskinsTabs li:hover ul, .cpsskinsTabs li.over ul {
+display:block;
+}
+.cpsskinsBoxCorners .rbtop div {
+left:-2px;
+position:relative;
+width:100%;
+}
+.cpsskinsBoxCorners .rbtop {
+position:relative;
+right:-1px;
+top:-1px;
+width:100%;
+}
+.cpsskinsBoxCorners .rbbot div {
+left:-2px;
+position:relative;
+width:100%;
+}
+.cpsskinsBoxCorners .rbbot {
+bottom:-1px;
+position:relative;
+right:-1px;
+width:100%;
+}
+.hidden {
+display:none;
+}
+.cpsskinsHBox {
+margin:3px;
+}
+.cpsskinsHBox ul.cpsskinsMenu, .cpsskinsHBox ul.cpsskinsMenu li {
+display:inline;
+line-height:normal;
+list-style-type:none;
+padding:3px 0pt 2px;
+}
+* html .cpsskinsHBox ul.cpsskinsMenu {
+padding:0px;
+}
+* html .cpsskinsHBox ul.cpsskinsMenu li {
+padding:0px;
+}
+.cpsskinsHBox ul.cpsskinsMenu li a {
+background-position:left top;
+background-repeat:no-repeat;
+display:inline;
+margin-left:0pt !important;
+}
+.cpsskinsHBox ul.cpsskinsMenu span.itemDescription {
+display:none;
+}
+.cpsskinsHBox div.xmlExportButtons {
+display:none;
+}
+
+.portalTabTabStyle ul.cpsskinsMenu li {
+margin:0pt 2px 0pt 0pt;
+}
+.portalTabTabStyle ul.cpsskinsMenu li a {
+padding:3px 2px;
+}
+
+.fontShapeaverage {
+font-family:Arial,sans-serif,Verdana,Helvetica !important;
+font-size:12px !important;
+font-size-adjust:none !important;
+font-stretch:normal !important;
+font-style:normal !important;
+font-variant:normal !important;
+font-weight:normal !important;
+line-height:normal !important;
+}
+.fontShapeaverage p {
+font-family:Arial,sans-serif,Verdana,Helvetica !important;
+font-size:100% !important;
+font-size-adjust:none !important;
+font-stretch:normal !important;
+font-style:normal !important;
+font-variant:normal !important;
+font-weight:normal !important;
+line-height:normal !important;
+padding:5px 10px 0px 0px;
+}
+.fontShapeaverage small {
+}
+
+.fontShapeaverage h2, .fontShapeaverage .h2 {
+border-style:none;
+border-width:0px;
+font-family:Arial,sans-serif,Verdana,Helvetica !important;
+font-size:150% !important;
+font-size-adjust:none !important;
+font-stretch:normal !important;
+font-style:normal !important;
+font-variant:normal !important;
+font-weight:bold !important;
+line-height:normal !important;
+margin:10px 0px 5px;
+padding:0px;
+}
+
+.fontShapeaverage h3, .fontShapeaverage .h3 {
+border-style:none;
+border-width:0px;
+font-family:Verdana,Arial,Helvetica,sans-serif !important;
+font-size:125% !important;
+font-size-adjust:none !important;
+font-stretch:normal !important;
+font-style:normal !important;
+font-variant:normal !important;
+font-weight:bold !important;
+line-height:normal !important;
+padding:0.6em 0em 0em;
+}
+
+.fontShapeaverage a, .fontShapeaverage a div, .fontShapeaverage a span {
+text-decoration:none;
+}
+.fontShapeaverage a:visited, .fontShapeaverage a:visited div, .fontShapeaverage a:visited span {
+text-decoration:none;
+}
+.fontShapeaverage a:active, .fontShapeaverage a:active div, .fontShapeaverage a:active span {
+text-decoration:underline overline;
+}
+.fontShapeaverage a:hover, .fontShapeaverage a:hover div, .fontShapeaverage a:hover span {
+text-decoration:underline;
+}
+
+
+.fontColordefaultfontcolors h3, .fontColordefaultfontcolors .h3 {
+border-color:#666666;
+color:#666666;
+}
+
+.fontColordefaultfontcolors a, .fontColordefaultfontcolors a div, .fontColordefaultfontcolors a span {
+color:#0066CC;
+}
+.fontColordefaultfontcolors a:visited, .fontColordefaultfontcolors a:visited div, .fontColordefaultfontcolors a:visited span {
+color:#003399;
+}
+.fontColordefaultfontcolors a:active, .fontColordefaultfontcolors a:active div, .fontColordefaultfontcolors a:active span {
+color:blue;
+}
+.fontColordefaultfontcolors a:hover, .fontColordefaultfontcolors a:hover div, .fontColordefaultfontcolors a:hover span {
+color:#0066CC;
+}
+
+.boxShapenavbox .title {
+border-style:none;
+border-width:0px;
+display:inline;
+font-family:arial,sans-serif,Verdana,Helvetica;
+font-size:12px;
+font-size-adjust:none;
+font-stretch:normal;
+font-style:normal;
+font-variant:normal;
+font-weight:bold;
+line-height:normal;
+padding:0px;
+}
+.boxShapenavbox .body {
+border-style:solid;
+border-width:0px;
+padding:10px 0pt 0pt;
+}
+.boxShapenavbox .body ul.cpsskinsMenu li a {
+border-style:none;
+border-width:0px;
+margin:1px 3px;
+padding:1px 0px 1px 21px;
+}
+.boxShapenavbox .body ul.cpsskinsMenu li.selected a {
+border-style:solid;
+border-width:0px;
+margin:0px 3px;
+padding:1px 0px 1px 21px;
+}
+.boxColornavbox .title {
+background-color:transparent;
+border-color:transparent;
+color:#666666;
+}
+.boxColornavbox .title a {
+color:#666666;
+}
+.boxColornavbox .body {
+background-color:transparent;
+border-color:transparent;
+}
+.boxColornavbox .body ul.cpsskinsMenu li a {
+border-color:transparent;
+}
+.boxColornavbox .body ul.cpsskinsMenu li.selected a {
+border-color:transparent;
+}
+.boxColornavbox .body ul.cpsskinsMenu li a {
+background-color:transparent;
+}
+.boxColornavbox .body ul.cpsskinsMenu li a:hover, .boxColornavbox .body ul.cpsskinsMenu li.selected a {
+background-color:#F1F2F3;
+}
+
+.colorfontcolorgray {
+background-color:transparent;
+border-color:transparent;
+color:#666666;
+}
+.fontColordefaultnovisitedlinks h1, .fontColordefaultnovisitedlinks .h1 {
+border-color:#666666;
+color:Black;
+}
+.fontColordefaultnovisitedlinks h2, .fontColordefaultnovisitedlinks .h2 {
+border-color:#666666;
+color:Black;
+}
+.fontColordefaultnovisitedlinks h3, .fontColordefaultnovisitedlinks .h3 {
+border-color:#666666;
+color:Black;
+}
+.fontColordefaultnovisitedlinks h4, .fontColordefaultnovisitedlinks .h4, .fontColordefaultnovisitedlinks h5, .fontColordefaultnovisitedlinks .h5, .fontColordefaultnovisitedlinks h6, .fontColordefaultnovisitedlinks .h6 {
+border-color:#666666;
+color:Black;
+}
+.fontColordefaultnovisitedlinks a, .fontColordefaultnovisitedlinks a div, .fontColordefaultnovisitedlinks a span {
+color:#0066CC;
+}
+.fontColordefaultnovisitedlinks a:visited, .fontColordefaultnovisitedlinks a:visited div, .fontColordefaultnovisitedlinks a:visited span {
+color:#0066CC;
+}
+.fontColordefaultnovisitedlinks a:active, .fontColordefaultnovisitedlinks a:active div, .fontColordefaultnovisitedlinks a:active span {
+color:blue;
+}
+.fontColordefaultnovisitedlinks a:hover, .fontColordefaultnovisitedlinks a:hover div, .fontColordefaultnovisitedlinks a:hover span {
+color:#0066CC;
+}
+
+.portalTabPortalTabStyleuseractions ul.cpsskinsMenu li {
+margin:0pt 5px 0pt 0pt;
+}
+.portalTabPortalTabStyleuseractions ul.cpsskinsMenu li a {
+padding:1px 0px;
+}
+
+.shapeAreaShape5 {
+border-style:solid;
+border-width:0px 1px 1px 0px;
+text-transform:none;
+}
+.shapeAreaShape {
+border-style:solid;
+border-width:1px;
+text-transform:none;
+}
+.shapeAreaShape9 {
+border-style:solid;
+border-width:1px 0px 0px 1px;
+text-transform:none;
+}
+
+.fontColornavigation h1, .fontColornavigation .h1 {
+border-color:#666666;
+color:Black;
+}
+.fontColornavigation h2, .fontColornavigation .h2 {
+border-color:#666666;
+color:Black;
+}
+.fontColornavigation h3, .fontColornavigation .h3 {
+border-color:#666666;
+color:Black;
+}
+.fontColornavigation h4, .fontColornavigation .h4, .fontColornavigation h5, .fontColornavigation .h5, .fontColornavigation h6, .fontColornavigation .h6 {
+border-color:#666666;
+color:Black;
+}
+.fontColornavigation a, .fontColornavigation a div, .fontColornavigation a span {
+color:black;
+}
+.fontColornavigation a:visited, .fontColornavigation a:visited div, .fontColornavigation a:visited span {
+color:black;
+}
+.fontColornavigation a:active, .fontColornavigation a:active div, .fontColornavigation a:active span {
+color:black;
+}
+.fontColornavigation a:hover, .fontColornavigation a:hover div, .fontColornavigation a:hover span {
+color:black;
+}
+.fontShapenavigation {
+font-family:Arial,sans-serif,Verdana,Helvetica !important;
+font-size:12px !important;
+font-size-adjust:none !important;
+font-stretch:normal !important;
+font-style:normal !important;
+font-variant:normal !important;
+font-weight:normal !important;
+line-height:normal !important;
+}
+.fontShapenavigation p {
+font-family:Arial,Verdana,Helvetica,sans-serif !important;
+font-size:100% !important;
+font-size-adjust:none !important;
+font-stretch:normal !important;
+font-style:normal !important;
+font-variant:normal !important;
+font-weight:normal !important;
+line-height:normal !important;
+}
+
+.fontShapenavigation h3, .fontShapenavigation .h3 {
+border-style:none;
+border-width:1px;
+font-family:Verdana,Arial,Helvetica,sans-serif !important;
+font-size:120% !important;
+font-size-adjust:none !important;
+font-stretch:normal !important;
+font-style:normal !important;
+font-variant:normal !important;
+font-weight:bold !important;
+line-height:normal !important;
+padding:0.6em 0em 0em;
+}
+
+.fontShapenavigation a, .fontShapenavigation a div, .fontShapenavigation a span {
+text-decoration:none;
+}
+.fontShapenavigation a:visited, .fontShapenavigation a:visited div, .fontShapenavigation a:visited span {
+text-decoration:none;
+}
+.fontShapenavigation a:active, .fontShapenavigation a:active div, .fontShapenavigation a:active span {
+text-decoration:none;
+}
+.fontShapenavigation a:hover, .fontShapenavigation a:hover div, .fontShapenavigation a:hover span {
+text-decoration:underline;
+}
+
+.fontShapeTitleindex {
+font-family:Arial,sans-serif,Verdana,Helvetica !important;
+font-size:13px !important;
+font-size-adjust:none !important;
+font-stretch:normal !important;
+font-style:normal !important;
+font-variant:normal !important;
+font-weight:normal !important;
+line-height:normal !important;
+}
+.fontShapeTitleindex p {
+font-family:Arial,sans-serif,Verdana,Helvetica !important;
+font-size:100% !important;
+font-size-adjust:none !important;
+font-stretch:normal !important;
+font-style:normal !important;
+font-variant:normal !important;
+font-weight:normal !important;
+line-height:normal !important;
+padding:0em;
+}
+.fontShapeTitleindex h1, .fontShapeTitleindex .h1 {
+border-style:none;
+border-width:0px;
+font-family:Arial,sans-serif,Verdana,Helvetica !important;
+font-size:150% !important;
+font-size-adjust:none !important;
+font-stretch:normal !important;
+font-style:normal !important;
+font-variant:normal !important;
+font-weight:bold !important;
+line-height:normal !important;
+margin:0px;
+padding:0px;
+}
+.fontShapeTitleindex h2, .fontShapeTitleindex .h2 {
+border-style:none;
+border-width:0pt;
+font-family:Arial,sans-serif,Verdana,Helvetica !important;
+font-size:150% !important;
+font-size-adjust:none !important;
+font-stretch:normal !important;
+font-style:normal !important;
+font-variant:normal !important;
+font-weight:bold !important;
+line-height:normal !important;
+padding:0.6em 0em 0em;
+}
+.fontShapeTitleindex h3, .fontShapeTitleindex .h3 {
+border-style:none;
+border-width:0pt;
+font-family:Verdana,Arial,Helvetica,sans-serif !important;
+font-size:125% !important;
+font-size-adjust:none !important;
+font-stretch:normal !important;
+font-style:normal !important;
+font-variant:normal !important;
+font-weight:bold !important;
+line-height:normal !important;
+padding:0.6em 0em 0em;
+}
+.fontShapeTitleindex h4, .fontShapeTitleindex .h4, .fontShapeTitleindex h5, .fontShapeTitleindex .h5, .fontShapeTitleindex h6, .fontShapeTitleindex .h6 {
+border-style:none;
+border-width:0pt;
+font-family:Verdana,Arial,Helvetica,sans-serif !important;
+font-size:100% !important;
+font-size-adjust:none !important;
+font-stretch:normal !important;
+font-style:normal !important;
+font-variant:normal !important;
+font-weight:bold !important;
+line-height:normal !important;
+padding:0.4em 0em 0em;
+}
+.fontShapeTitleindex a, .fontShapeTitleindex a div, .fontShapeTitleindex a span {
+text-decoration:none;
+}
+.fontShapeTitleindex a:visited, .fontShapeTitleindex a:visited div, .fontShapeTitleindex a:visited span {
+text-decoration:none;
+}
+.fontShapeTitleindex a:active, .fontShapeTitleindex a:active div, .fontShapeTitleindex a:active span {
+text-decoration:underline overline;
+}
+.fontShapeTitleindex a:hover, .fontShapeTitleindex a:hover div, .fontShapeTitleindex a:hover span {
+text-decoration:underline;
+}
+
 </dtml-let>
Index: WAeUP_SRP/trunk/skins/waeup_design/common2.css.dtml
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_design/common2.css.dtml	(revision 1784)
+++ 	(revision )
@@ -1,565 +1,0 @@
-<dtml-let base_url="getBaseUrl()">
-html, body {
-height:100%;
-}
-input, textarea, select, button {
-background-color:white;
-margin:0pt;
-}
-
-input, button {
-padding:3px;
-}
-
-.fileview {
-padding:3px;
-}
-.statusmessage {
-margin-bottom:9px;
-padding:3px;
-}
-input.SearchBox {
-background:white url(http://localhost:8080/cpsskins/cpsskins_images/search_icon.png) no-repeat scroll left center;
-border:1px inset #757575;
-padding:2px 2px 2px 20px;
-}
-div.searchField {
-background:transparent url(http://localhost:8080/cpsskins/cpsskins_images/portlet_search_icon.png) no-repeat scroll left center;
-padding:2px 2px 2px 20px;
-}
-.toggle_icon {
-clear:left;
-float:left;
-padding:2px 0pt 0pt 3px;
-}
-.missing_toggle {
-padding:0pt 0pt 0pt 13px;
-}
-.tree_node {
-padding:0pt 0pt 0pt 8px;
-}
-.tree_leaf {
-padding:0pt 0pt 0pt 22px;
-}
-.action_icon {
-clear:left;
-float:left;
-padding:0pt 6px 0pt 0pt;
-}
-.cpsskinsBox ul.cpsskinsMenu, .cpsskinsBox ul.cpsskinsMenu li {
-display:inline;
-line-height:normal;
-list-style-type:none;
-margin:0px;
-padding:0px;
-}
-.cpsskinsBox ul.cpsskinsMenu li a {
-background-position:left top;
-background-repeat:no-repeat;
-display:block;
-}
-.cpsskinsBox ul.cpsskinsMenu li a.noicon, .cpsskinsBox ul.cpsskinsMenu li.selected a.noicon {
-background-image:none !important;
-padding-left:2px !important;
-}
-.cpsskinsBox ul.cpsskinsMenu li a span.itemDescription {
-display:block;
-font-size:85%;
-}
-
-.cpsskinsTab ul.cpsskinsMenu, .cpsskinsTab ul.cpsskinsMenu li {
-display:inline;
-line-height:normal;
-list-style-type:none;
-margin:0px;
-padding:0px;
-}
-.cpsskinsTab ul.cpsskinsMenu li a {
-background-position:left center;
-background-repeat:no-repeat;
-display:inline;
-}
-.cpsskinsTab ul.cpsskinsMenu span.itemDescription {
-display:none;
-}
-.cpsskinsTab div.xmlExportButtons {
-display:none;
-}
-.cpsskinsBox .buttons {
-display:block;
-padding-bottom:1px;
-padding-right:1px;
-padding-top:1px;
-}
-.cpsskinsBox .buttons a {
-float:right;
-}
-.cpsskinsTabs {
-float:left;
-line-height:normal;
-text-align:left;
-width:100%;
-}
-.cpsskinsTabs ul {
-list-style-image:none;
-list-style-position:outside;
-list-style-type:none;
-margin:0pt;
-padding:0pt;
-}
-.cpsskinsTabs li {
-float:left;
-margin:0pt;
-padding:0pt;
-position:relative;
-}
-.cpsskinsTabs a {
-display:block;
-float:left;
-margin-left:0pt !important;
-text-decoration:none;
-}
-.cpsskinsTabs a {
-float:none;
-}
-.cpsskinsTabs ul.cpsskinsMenu span.itemDescription {
-display:none;
-}
-.cpsskinsTabs div.xmlExportButtons {
-display:none;
-}
-.cpsskinsTabs li ul {
-display:none;
-left:0pt;
-position:absolute;
-}
-.cpsskinsTabs li > ul {
-left:auto;
-top:auto;
-}
-.cpsskinsTabs li:hover ul, .cpsskinsTabs li.over ul {
-display:block;
-}
-.cpsskinsBoxCorners .rbtop div {
-left:-2px;
-position:relative;
-width:100%;
-}
-.cpsskinsBoxCorners .rbtop {
-position:relative;
-right:-1px;
-top:-1px;
-width:100%;
-}
-.cpsskinsBoxCorners .rbbot div {
-left:-2px;
-position:relative;
-width:100%;
-}
-.cpsskinsBoxCorners .rbbot {
-bottom:-1px;
-position:relative;
-right:-1px;
-width:100%;
-}
-.hidden {
-display:none;
-}
-.cpsskinsHBox {
-margin:3px;
-}
-.cpsskinsHBox ul.cpsskinsMenu, .cpsskinsHBox ul.cpsskinsMenu li {
-display:inline;
-line-height:normal;
-list-style-type:none;
-padding:3px 0pt 2px;
-}
-* html .cpsskinsHBox ul.cpsskinsMenu {
-padding:0px;
-}
-* html .cpsskinsHBox ul.cpsskinsMenu li {
-padding:0px;
-}
-.cpsskinsHBox ul.cpsskinsMenu li a {
-background-position:left top;
-background-repeat:no-repeat;
-display:inline;
-margin-left:0pt !important;
-}
-.cpsskinsHBox ul.cpsskinsMenu span.itemDescription {
-display:none;
-}
-.cpsskinsHBox div.xmlExportButtons {
-display:none;
-}
-
-.portalTabTabStyle ul.cpsskinsMenu li {
-margin:0pt 2px 0pt 0pt;
-}
-.portalTabTabStyle ul.cpsskinsMenu li a {
-padding:3px 2px;
-}
-
-.fontShapeaverage {
-font-family:Arial,sans-serif,Verdana,Helvetica !important;
-font-size:12px !important;
-font-size-adjust:none !important;
-font-stretch:normal !important;
-font-style:normal !important;
-font-variant:normal !important;
-font-weight:normal !important;
-line-height:normal !important;
-}
-.fontShapeaverage p {
-font-family:Arial,sans-serif,Verdana,Helvetica !important;
-font-size:100% !important;
-font-size-adjust:none !important;
-font-stretch:normal !important;
-font-style:normal !important;
-font-variant:normal !important;
-font-weight:normal !important;
-line-height:normal !important;
-padding:5px 10px 0px 0px;
-}
-.fontShapeaverage small {
-}
-
-.fontShapeaverage h2, .fontShapeaverage .h2 {
-border-style:none;
-border-width:0px;
-font-family:Arial,sans-serif,Verdana,Helvetica !important;
-font-size:150% !important;
-font-size-adjust:none !important;
-font-stretch:normal !important;
-font-style:normal !important;
-font-variant:normal !important;
-font-weight:bold !important;
-line-height:normal !important;
-margin:10px 0px 5px;
-padding:0px;
-}
-
-.fontShapeaverage h3, .fontShapeaverage .h3 {
-border-style:none;
-border-width:0px;
-font-family:Verdana,Arial,Helvetica,sans-serif !important;
-font-size:125% !important;
-font-size-adjust:none !important;
-font-stretch:normal !important;
-font-style:normal !important;
-font-variant:normal !important;
-font-weight:bold !important;
-line-height:normal !important;
-padding:0.6em 0em 0em;
-}
-
-.fontShapeaverage a, .fontShapeaverage a div, .fontShapeaverage a span {
-text-decoration:none;
-}
-.fontShapeaverage a:visited, .fontShapeaverage a:visited div, .fontShapeaverage a:visited span {
-text-decoration:none;
-}
-.fontShapeaverage a:active, .fontShapeaverage a:active div, .fontShapeaverage a:active span {
-text-decoration:underline overline;
-}
-.fontShapeaverage a:hover, .fontShapeaverage a:hover div, .fontShapeaverage a:hover span {
-text-decoration:underline;
-}
-
-
-.fontColordefaultfontcolors h3, .fontColordefaultfontcolors .h3 {
-border-color:#666666;
-color:#666666;
-}
-
-.fontColordefaultfontcolors a, .fontColordefaultfontcolors a div, .fontColordefaultfontcolors a span {
-color:#0066CC;
-}
-.fontColordefaultfontcolors a:visited, .fontColordefaultfontcolors a:visited div, .fontColordefaultfontcolors a:visited span {
-color:#003399;
-}
-.fontColordefaultfontcolors a:active, .fontColordefaultfontcolors a:active div, .fontColordefaultfontcolors a:active span {
-color:blue;
-}
-.fontColordefaultfontcolors a:hover, .fontColordefaultfontcolors a:hover div, .fontColordefaultfontcolors a:hover span {
-color:#0066CC;
-}
-
-.boxShapenavbox .title {
-border-style:none;
-border-width:0px;
-display:inline;
-font-family:arial,sans-serif,Verdana,Helvetica;
-font-size:12px;
-font-size-adjust:none;
-font-stretch:normal;
-font-style:normal;
-font-variant:normal;
-font-weight:bold;
-line-height:normal;
-padding:0px;
-}
-.boxShapenavbox .body {
-border-style:solid;
-border-width:0px;
-padding:10px 0pt 0pt;
-}
-.boxShapenavbox .body ul.cpsskinsMenu li a {
-border-style:none;
-border-width:0px;
-margin:1px 3px;
-padding:1px 0px 1px 21px;
-}
-.boxShapenavbox .body ul.cpsskinsMenu li.selected a {
-border-style:solid;
-border-width:0px;
-margin:0px 3px;
-padding:1px 0px 1px 21px;
-}
-.boxColornavbox .title {
-background-color:transparent;
-border-color:transparent;
-color:#666666;
-}
-.boxColornavbox .title a {
-color:#666666;
-}
-.boxColornavbox .body {
-background-color:transparent;
-border-color:transparent;
-}
-.boxColornavbox .body ul.cpsskinsMenu li a {
-border-color:transparent;
-}
-.boxColornavbox .body ul.cpsskinsMenu li.selected a {
-border-color:transparent;
-}
-.boxColornavbox .body ul.cpsskinsMenu li a {
-background-color:transparent;
-}
-.boxColornavbox .body ul.cpsskinsMenu li a:hover, .boxColornavbox .body ul.cpsskinsMenu li.selected a {
-background-color:#F1F2F3;
-}
-
-.colorfontcolorgray {
-background-color:transparent;
-border-color:transparent;
-color:#666666;
-}
-.fontColordefaultnovisitedlinks h1, .fontColordefaultnovisitedlinks .h1 {
-border-color:#666666;
-color:Black;
-}
-.fontColordefaultnovisitedlinks h2, .fontColordefaultnovisitedlinks .h2 {
-border-color:#666666;
-color:Black;
-}
-.fontColordefaultnovisitedlinks h3, .fontColordefaultnovisitedlinks .h3 {
-border-color:#666666;
-color:Black;
-}
-.fontColordefaultnovisitedlinks h4, .fontColordefaultnovisitedlinks .h4, .fontColordefaultnovisitedlinks h5, .fontColordefaultnovisitedlinks .h5, .fontColordefaultnovisitedlinks h6, .fontColordefaultnovisitedlinks .h6 {
-border-color:#666666;
-color:Black;
-}
-.fontColordefaultnovisitedlinks a, .fontColordefaultnovisitedlinks a div, .fontColordefaultnovisitedlinks a span {
-color:#0066CC;
-}
-.fontColordefaultnovisitedlinks a:visited, .fontColordefaultnovisitedlinks a:visited div, .fontColordefaultnovisitedlinks a:visited span {
-color:#0066CC;
-}
-.fontColordefaultnovisitedlinks a:active, .fontColordefaultnovisitedlinks a:active div, .fontColordefaultnovisitedlinks a:active span {
-color:blue;
-}
-.fontColordefaultnovisitedlinks a:hover, .fontColordefaultnovisitedlinks a:hover div, .fontColordefaultnovisitedlinks a:hover span {
-color:#0066CC;
-}
-
-.portalTabPortalTabStyleuseractions ul.cpsskinsMenu li {
-margin:0pt 5px 0pt 0pt;
-}
-.portalTabPortalTabStyleuseractions ul.cpsskinsMenu li a {
-padding:1px 0px;
-}
-
-.shapeAreaShape5 {
-border-style:solid;
-border-width:0px 1px 1px 0px;
-text-transform:none;
-}
-.shapeAreaShape {
-border-style:solid;
-border-width:1px;
-text-transform:none;
-}
-.shapeAreaShape9 {
-border-style:solid;
-border-width:1px 0px 0px 1px;
-text-transform:none;
-}
-
-.fontColornavigation h1, .fontColornavigation .h1 {
-border-color:#666666;
-color:Black;
-}
-.fontColornavigation h2, .fontColornavigation .h2 {
-border-color:#666666;
-color:Black;
-}
-.fontColornavigation h3, .fontColornavigation .h3 {
-border-color:#666666;
-color:Black;
-}
-.fontColornavigation h4, .fontColornavigation .h4, .fontColornavigation h5, .fontColornavigation .h5, .fontColornavigation h6, .fontColornavigation .h6 {
-border-color:#666666;
-color:Black;
-}
-.fontColornavigation a, .fontColornavigation a div, .fontColornavigation a span {
-color:black;
-}
-.fontColornavigation a:visited, .fontColornavigation a:visited div, .fontColornavigation a:visited span {
-color:black;
-}
-.fontColornavigation a:active, .fontColornavigation a:active div, .fontColornavigation a:active span {
-color:black;
-}
-.fontColornavigation a:hover, .fontColornavigation a:hover div, .fontColornavigation a:hover span {
-color:black;
-}
-.fontShapenavigation {
-font-family:Arial,sans-serif,Verdana,Helvetica !important;
-font-size:12px !important;
-font-size-adjust:none !important;
-font-stretch:normal !important;
-font-style:normal !important;
-font-variant:normal !important;
-font-weight:normal !important;
-line-height:normal !important;
-}
-.fontShapenavigation p {
-font-family:Arial,Verdana,Helvetica,sans-serif !important;
-font-size:100% !important;
-font-size-adjust:none !important;
-font-stretch:normal !important;
-font-style:normal !important;
-font-variant:normal !important;
-font-weight:normal !important;
-line-height:normal !important;
-}
-
-.fontShapenavigation h3, .fontShapenavigation .h3 {
-border-style:none;
-border-width:1px;
-font-family:Verdana,Arial,Helvetica,sans-serif !important;
-font-size:120% !important;
-font-size-adjust:none !important;
-font-stretch:normal !important;
-font-style:normal !important;
-font-variant:normal !important;
-font-weight:bold !important;
-line-height:normal !important;
-padding:0.6em 0em 0em;
-}
-
-.fontShapenavigation a, .fontShapenavigation a div, .fontShapenavigation a span {
-text-decoration:none;
-}
-.fontShapenavigation a:visited, .fontShapenavigation a:visited div, .fontShapenavigation a:visited span {
-text-decoration:none;
-}
-.fontShapenavigation a:active, .fontShapenavigation a:active div, .fontShapenavigation a:active span {
-text-decoration:none;
-}
-.fontShapenavigation a:hover, .fontShapenavigation a:hover div, .fontShapenavigation a:hover span {
-text-decoration:underline;
-}
-
-.fontShapeTitleindex {
-font-family:Arial,sans-serif,Verdana,Helvetica !important;
-font-size:13px !important;
-font-size-adjust:none !important;
-font-stretch:normal !important;
-font-style:normal !important;
-font-variant:normal !important;
-font-weight:normal !important;
-line-height:normal !important;
-}
-.fontShapeTitleindex p {
-font-family:Arial,sans-serif,Verdana,Helvetica !important;
-font-size:100% !important;
-font-size-adjust:none !important;
-font-stretch:normal !important;
-font-style:normal !important;
-font-variant:normal !important;
-font-weight:normal !important;
-line-height:normal !important;
-padding:0em;
-}
-.fontShapeTitleindex h1, .fontShapeTitleindex .h1 {
-border-style:none;
-border-width:0px;
-font-family:Arial,sans-serif,Verdana,Helvetica !important;
-font-size:150% !important;
-font-size-adjust:none !important;
-font-stretch:normal !important;
-font-style:normal !important;
-font-variant:normal !important;
-font-weight:bold !important;
-line-height:normal !important;
-margin:0px;
-padding:0px;
-}
-.fontShapeTitleindex h2, .fontShapeTitleindex .h2 {
-border-style:none;
-border-width:0pt;
-font-family:Arial,sans-serif,Verdana,Helvetica !important;
-font-size:150% !important;
-font-size-adjust:none !important;
-font-stretch:normal !important;
-font-style:normal !important;
-font-variant:normal !important;
-font-weight:bold !important;
-line-height:normal !important;
-padding:0.6em 0em 0em;
-}
-.fontShapeTitleindex h3, .fontShapeTitleindex .h3 {
-border-style:none;
-border-width:0pt;
-font-family:Verdana,Arial,Helvetica,sans-serif !important;
-font-size:125% !important;
-font-size-adjust:none !important;
-font-stretch:normal !important;
-font-style:normal !important;
-font-variant:normal !important;
-font-weight:bold !important;
-line-height:normal !important;
-padding:0.6em 0em 0em;
-}
-.fontShapeTitleindex h4, .fontShapeTitleindex .h4, .fontShapeTitleindex h5, .fontShapeTitleindex .h5, .fontShapeTitleindex h6, .fontShapeTitleindex .h6 {
-border-style:none;
-border-width:0pt;
-font-family:Verdana,Arial,Helvetica,sans-serif !important;
-font-size:100% !important;
-font-size-adjust:none !important;
-font-stretch:normal !important;
-font-style:normal !important;
-font-variant:normal !important;
-font-weight:bold !important;
-line-height:normal !important;
-padding:0.4em 0em 0em;
-}
-.fontShapeTitleindex a, .fontShapeTitleindex a div, .fontShapeTitleindex a span {
-text-decoration:none;
-}
-.fontShapeTitleindex a:visited, .fontShapeTitleindex a:visited div, .fontShapeTitleindex a:visited span {
-text-decoration:none;
-}
-.fontShapeTitleindex a:active, .fontShapeTitleindex a:active div, .fontShapeTitleindex a:active span {
-text-decoration:underline overline;
-}
-.fontShapeTitleindex a:hover, .fontShapeTitleindex a:hover div, .fontShapeTitleindex a:hover span {
-text-decoration:underline;
-}
-
-
-</dtml-let>
Index: WAeUP_SRP/trunk/skins/waeup_design/folder_view.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_design/folder_view.py	(revision 1784)
+++ 	(revision )
@@ -1,24 +1,0 @@
-##parameters=b_start=0
-##
-from ZTUtils import Batch
-from ZTUtils import LazyFilter
-
-options = {}
-
-options['has_local'] = 'local_pt' in context.objectIds()
-
-key, reverse = context.getDefaultSorting()
-items = context.contentValues()
-items = sequence.sort( items, ((key, 'cmp', reverse and 'desc' or 'asc'),) )
-items = LazyFilter(items, skip='View')
-batch_obj = Batch(items, 25, b_start, orphan=0)
-listItemInfos = context.getBatchItemInfos(batch_obj)
-try:
-    target = context.getActionInfo('object/view')['url']
-except:
-    target = ''
-
-navigation = context.getBatchNavigation(batch_obj, target)
-options['batch'] = { 'listItemInfos': listItemInfos,
-                     'navigation': navigation }
-return context.index_html_template(**options)
Index: WAeUP_SRP/trunk/skins/waeup_design/folder_view.py_not_used
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_design/folder_view.py_not_used	(revision 1785)
+++ WAeUP_SRP/trunk/skins/waeup_design/folder_view.py_not_used	(revision 1785)
@@ -0,0 +1,24 @@
+##parameters=b_start=0
+##
+from ZTUtils import Batch
+from ZTUtils import LazyFilter
+
+options = {}
+
+options['has_local'] = 'local_pt' in context.objectIds()
+
+key, reverse = context.getDefaultSorting()
+items = context.contentValues()
+items = sequence.sort( items, ((key, 'cmp', reverse and 'desc' or 'asc'),) )
+items = LazyFilter(items, skip='View')
+batch_obj = Batch(items, 25, b_start, orphan=0)
+listItemInfos = context.getBatchItemInfos(batch_obj)
+try:
+    target = context.getActionInfo('object/view')['url']
+except:
+    target = ''
+
+navigation = context.getBatchNavigation(batch_obj, target)
+options['batch'] = { 'listItemInfos': listItemInfos,
+                     'navigation': navigation }
+return context.index_html_template(**options)
Index: WAeUP_SRP/trunk/skins/waeup_design/index_html.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_design/index_html.py	(revision 1785)
+++ WAeUP_SRP/trunk/skins/waeup_design/index_html.py	(revision 1785)
@@ -0,0 +1,25 @@
+## Script (Python) "index_html"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=batch=None
+##title=
+##
+# $Id: index_html.py 901 2006-11-20 07:33:16Z henrik $
+"""
+return the correct index_html
+"""
+
+request = context.REQUEST
+redirect = request.RESPONSE.redirect
+pm = context.portal_membership
+
+if pm.isAnonymousUser():
+    return redirect("%s/srp_anonymous_view" % request.get('URL1'))
+elif context.isStudent():
+    return redirect("%s/srp_anonymous_view" % context.absolute_url())
+else:
+	return redirect("%s/srp_view" % context.absolute_url())
+
Index: WAeUP_SRP/trunk/skins/waeup_design/index_html_template.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_design/index_html_template.pt	(revision 1784)
+++ 	(revision )
@@ -1,39 +1,0 @@
-<html metal:use-macro="context/main_template/macros/master">
-<body>
-
-<metal:slot metal:fill-slot="header" i18n:domain="cmf_default">
-  <div tal:condition="not: options/has_local">
-<metal:macro metal:use-macro="context/index_html_utils/macros/index_header" />
-  </div>
-  <div tal:condition="options/has_local">
-    <div metal:use-macro="context/local_pt/macros/header | default">
-      'local_pt' header goes here.
-    </div>
-  </div>
-</metal:slot>
-
-<metal:slot metal:fill-slot="main" i18n:domain="cmf_default"
-  tal:define="batch options/batch">
-
-  <div id="content_well"
-       style="float: left; top: 0; width: 78%;">
-    <div tal:condition="not: options/has_local">
-
-<metal:macro metal:use-macro="context/batch_widgets/macros/listing" />
-<metal:macro metal:use-macro="context/batch_widgets/macros/navigation" />
-
-    </div>
-    <div tal:condition="options/has_local">
-      <div metal:use-macro="context/local_pt/macros/body | default">
-        'local_pt' body goes here.
-      </div>
-    </div>
-  </div>
-  <div id="right_sidebar"
-       style="width: 20%">
-
-  </div>
-</metal:slot>
-
-</body>
-</html>
Index: WAeUP_SRP/trunk/skins/waeup_design/index_html_template.pt_not_used
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_design/index_html_template.pt_not_used	(revision 1785)
+++ WAeUP_SRP/trunk/skins/waeup_design/index_html_template.pt_not_used	(revision 1785)
@@ -0,0 +1,39 @@
+<html metal:use-macro="context/main_template/macros/master">
+<body>
+
+<metal:slot metal:fill-slot="header" i18n:domain="cmf_default">
+  <div tal:condition="not: options/has_local">
+<metal:macro metal:use-macro="context/index_html_utils/macros/index_header" />
+  </div>
+  <div tal:condition="options/has_local">
+    <div metal:use-macro="context/local_pt/macros/header | default">
+      'local_pt' header goes here.
+    </div>
+  </div>
+</metal:slot>
+
+<metal:slot metal:fill-slot="main" i18n:domain="cmf_default"
+  tal:define="batch options/batch">
+
+  <div id="content_well"
+       style="float: left; top: 0; width: 78%;">
+    <div tal:condition="not: options/has_local">
+
+<metal:macro metal:use-macro="context/batch_widgets/macros/listing" />
+<metal:macro metal:use-macro="context/batch_widgets/macros/navigation" />
+
+    </div>
+    <div tal:condition="options/has_local">
+      <div metal:use-macro="context/local_pt/macros/body | default">
+        'local_pt' body goes here.
+      </div>
+    </div>
+  </div>
+  <div id="right_sidebar"
+       style="width: 20%">
+
+  </div>
+</metal:slot>
+
+</body>
+</html>
Index: WAeUP_SRP/trunk/skins/waeup_design/main_template.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_design/main_template.pt	(revision 1784)
+++ WAeUP_SRP/trunk/skins/waeup_design/main_template.pt	(revision 1785)
@@ -50,6 +50,4 @@
           <link rel="stylesheet" type="text/css" media="all"
                 tal:attributes="href string:${base_url}${waeup_skin}/render.css" />
-          <link rel="stylesheet" type="text/css" media="all"
-                tal:attributes="href string:${base_url}common2.css" />                
           <metal:block define-slot="style_slot" />
         </metal:block>
Index: WAeUP_SRP/trunk/skins/waeup_design/slip_template.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_design/slip_template.pt	(revision 1784)
+++ WAeUP_SRP/trunk/skins/waeup_design/slip_template.pt	(revision 1785)
@@ -44,6 +44,4 @@
           <link rel="stylesheet" type="text/css" media="all"
                 tal:attributes="href string:${base_url}common.css" />
-          <link rel="stylesheet" type="text/css" media="all"
-                tal:attributes="href string:${base_url}common2.css" />    
           <metal:block define-slot="style_slot" />
         </metal:block>
Index: WAeUP_SRP/trunk/skins/waeup_student/student_index.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/student_index.py	(revision 1784)
+++ WAeUP_SRP/trunk/skins/waeup_student/student_index.py	(revision 1785)
@@ -10,5 +10,5 @@
 # $Id$
 """
-return the current student_index_html
+return the current student_index
 """
 from Products.AdvancedQuery import Eq, Between, Le,In
@@ -45,5 +45,5 @@
         return context.study_level_view()
     elif context.portal_type == 'StudentStudyCourse':
-        return context.study_course_view()        
+        return context.study_course_view()
     students_url = "%s/campus/students" % (context.portal_url())
     id = str(member)
Index: WAeUP_SRP/trunk/skins/waeup_student/students_index.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/students_index.py	(revision 1784)
+++ WAeUP_SRP/trunk/skins/waeup_student/students_index.py	(revision 1785)
@@ -10,5 +10,5 @@
 # $Id$
 """
-return the current students_index_html
+return the current students_index
 """
 
